Skip to main content
Get hardware brand
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the model.

Query Parameters

enterpriseId
string

deprecated field: EnterpriseId

Response

A successful response.

SysModel consists of various brand attributes like id, name, title, svg, state, systemMfgName

name
string
required

user defined sys brand name

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

user defined title for sys brand

Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
originType
enum<string>
default:ORIGIN_UNSPECIFIED
required

origin of object

Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
id
string
read-only

System defined universally unique Id of the brand.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
description
string

Detailed description of the image.

Maximum string length: 256
svg
string

Deprecated: base64 encoded string of svg file

attr
object

Map of <string, string>

state
enum<string>
default:SYS_MODEL_STATE_UNSPECIFIED

Sys Model Status

Available options:
SYS_MODEL_STATE_UNSPECIFIED,
SYS_MODEL_STATE_ARCHIVE,
SYS_MODEL_STATE_ACTIVE
revision
ObjectRevision is used to store the user information. · object

Object Revision of the sys brand

systemMfgName
string

System Manufacturer name

Map of <string, string> which holds the key:url for the logo artifact of the the brand